<template>
  <page-layout :show-cta="false" class="bg-orange-100">
    <lazy-hydrate when-visible>
      <cover-split-section :cover-image="notFoundImage">
        <template #heading>
          <h1>{{ heading }}</h1>
        </template>

        <template #default>
          <div class="markdown summary" v-html="text" />
        </template>
      </cover-split-section>
    </lazy-hydrate>
  </page-layout>
</template>

<script>
export default {
  name: 'NotFound',
  computed: {
    heading() {
      return this.$page.content.notFound.heading;
    },
    text() {
      return this.$page.content.notFound.text;
    },
    notFoundImage() {
      return this.$page.content.notFound._404Image;
    },
  },
  metaInfo() {
    return {
      title: '404',
    };
  },
};
</script>

<page-query>
  query NotFoundPageContent {
    content: notFoundPageContent(path: "/404/") {
      notFound {
        heading
        text
        _404Image {
          image
          description
        }
      }
    }
  }
</page-query>
